package rition.common.data.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.Instant;

/**
 * 联系方式
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@TableName("contract")
public class ContractEntity {
    /**
     * id
     */
    private Long id;

    /**
     * 联系方式
     */
    private String contract;

    /**
     * 联系方式类型
     */
    private Integer type;

    /**
     * create_time
     */
    private Instant createTime;

    /**
     * update_time
     */
    private Instant updateTime;

    /**
     * status
     */
    private Integer status;
}
